Loading...
Searching...
No Matches
apr_pollfd_t Struct Reference
Apache Portability Runtime library » Poll Routines

`#include <apr_poll.h>`

Collaboration diagram for apr_pollfd_t:
[legend]

## Data Fields

apr_pool_t * | p
apr_datatype_e | desc_type
apr_int16_t | reqevents
apr_int16_t | rtnevents
apr_descriptor | desc
void * | client_data

## Detailed Description

Poll descriptor set.

## Field Documentation

## client_data

void* apr_pollfd_t::client_data

allows app to associate context

## desc

apr_descriptor apr_pollfd_t::desc

See also
  apr_descriptor

## desc_type

apr_datatype_e apr_pollfd_t::desc_type

descriptor type

## p

apr_pool_t* apr_pollfd_t::p

associated pool

## reqevents

apr_int16_t apr_pollfd_t::reqevents

requested events

## rtnevents

apr_int16_t apr_pollfd_t::rtnevents

returned events

The documentation for this struct was generated from the following file:

- apr_poll.h